org.apache.ignite.internal.processors.rest.client.message

## Class GridClientCacheQueryRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage
  - - org.apache.ignite.internal.processors.rest.client.message.GridClientCacheQueryRequest

All Implemented Interfaces:
  Externalizable, Serializable, GridClientMessage

    public class GridClientCacheQueryRequest
    extends GridClientAbstractMessage

Cache query request.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `GridClientCacheQueryRequest.GridQueryOperation` Available query operations.
`static class` `GridClientCacheQueryRequest.GridQueryType` Query types.

### Constructor Summary

Constructors
Constructor and Description
`GridClientCacheQueryRequest()`

### Method Summary

Methods
`String` `cacheName()`
`void` `cacheName(String cacheName)`
`String` `className()`
`void` `className(String clsName)`
`String` `clause()`
`void` `clause(String clause)`
`boolean` `enableDedup()`
`void` `enableDedup(boolean enableDedup)`
`boolean` `includeBackups()`
`void` `includeBackups(boolean includeBackups)`
`boolean` `keepPortable()`
`GridClientCacheQueryRequest.GridQueryOperation` `operation()`
`void` `operation(GridClientCacheQueryRequest.GridQueryOperation op)`
`int` `pageSize()`
`void` `pageSize(int pageSize)`
`Object[]` `queryArguments()`
`void` `queryArguments(Object[] qryArgs)`
`long` `queryId()`
`void` `queryId(long qryId)`
`void` `readExternal(ObjectInput in)`
`String` `remoteReducerClassName()`
`void` `remoteReducerClassName(String rmtReducerClsName)`
`String` `remoteTransformerClassName()`
`void` `remoteTransformerClassName(String rmtTransformerClsName)`
`long` `timeout()`
`void` `timeout(long timeout)`
`String` `toString()`
`GridClientCacheQueryRequest.GridQueryType` `type()`
`void` `type(GridClientCacheQueryRequest.GridQueryType type)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage

`clientId, clientId, destinationId, destinationId, requestId, requestId, sessionToken, sessionToken`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientCacheQueryRequest

    public GridClientCacheQueryRequest()

### Method Detail

#### queryId

    public long queryId()

Returns:
  Query ID.

#### queryId

    public void queryId(long qryId)

Parameters:
  `qryId` - Query ID.

#### operation

    public GridClientCacheQueryRequest.GridQueryOperation operation()

Returns:
  Operation.

#### operation

    public void operation(GridClientCacheQueryRequest.GridQueryOperation op)

Parameters:
  `op` - Operation.

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### cacheName

    public void cacheName(String cacheName)

Parameters:
  `cacheName` - Cache name.

#### type

    public GridClientCacheQueryRequest.GridQueryType type()

Returns:
  Query type.

#### type

    public void type(GridClientCacheQueryRequest.GridQueryType type)

Parameters:
  `type` - Query type.

#### clause

    public String clause()

Returns:
  Query clause.

#### clause

    public void clause(String clause)

Parameters:
  `clause` - Query clause.

#### pageSize

    public int pageSize()

Returns:
  Page size.

#### pageSize

    public void pageSize(int pageSize)

Parameters:
  `pageSize` - Page size.

#### timeout

    public long timeout()

Returns:
  Query timeout.

#### timeout

    public void timeout(long timeout)

Parameters:
  `timeout` - Query timeout.

#### includeBackups

    public boolean includeBackups()

Returns:
  Include backups flag.

#### includeBackups

    public void includeBackups(boolean includeBackups)

Parameters:
  `includeBackups` - Include backups flag.

#### enableDedup

    public boolean enableDedup()

Returns:
  Enable de-duplication flag.

#### keepPortable

    public boolean keepPortable()

Returns:
  Keep portable flag.

#### enableDedup

    public void enableDedup(boolean enableDedup)

Parameters:
  `enableDedup` - Enable de-duplication flag.

#### className

    public String className()

Returns:
  Class name.

#### className

    public void className(String clsName)

Parameters:
  `clsName` - Class name.

#### remoteReducerClassName

    public String remoteReducerClassName()

Returns:
  Remote reducer class name.

#### remoteReducerClassName

    public void remoteReducerClassName(String rmtReducerClsName)

Parameters:
  `rmtReducerClsName` - Remote reducer class name.

#### remoteTransformerClassName

    public String remoteTransformerClassName()

Returns:
  Remote transformer class name.

#### remoteTransformerClassName

    public void remoteTransformerClassName(String rmtTransformerClsName)

Parameters:
  `rmtTransformerClsName` - Remote transformer class name.

#### queryArguments

    public Object[] queryArguments()

Returns:
  Query arguments.

#### queryArguments

    public void queryArguments(Object[] qryArgs)

Parameters:
  `qryArgs` - Query arguments.

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `GridClientAbstractMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015